Skip to content
Start here

Get variants setting

client.cache.variants.get(VariantGetParams { zone_id } params, RequestOptionsoptions?): VariantGetResponse { id, editable, value, modified_on }
GET/zones/{zone_id}/cache/variants

Variant support enables caching variants of images with certain file extensions in addition to the original. This only applies when the origin server sends the 'Vary: Accept' response header. If the origin server sends 'Vary: Accept' but does not serve the variant requested, the response will not be cached. This will be indicated with BYPASS cache status in the response headers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings ReadZone ReadZone Write
ParametersExpand Collapse
params: VariantGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
VariantGetResponse { id, editable, value, modified_on }
id: "variants"

The identifier of the caching setting.

editable: boolean

Whether the setting is editable.

value: Value { avif, bmp, gif, 8 more }

Value of the zone setting.

avif?: Array<string>

List of strings with the MIME types of all the variants that should be served for avif.

bmp?: Array<string>

List of strings with the MIME types of all the variants that should be served for bmp.

gif?: Array<string>

List of strings with the MIME types of all the variants that should be served for gif.

jp2?: Array<string>

List of strings with the MIME types of all the variants that should be served for jp2.

jpeg?: Array<string>

List of strings with the MIME types of all the variants that should be served for jpeg.

jpg?: Array<string>

List of strings with the MIME types of all the variants that should be served for jpg.

jpg2?: Array<string>

List of strings with the MIME types of all the variants that should be served for jpg2.

png?: Array<string>

List of strings with the MIME types of all the variants that should be served for png.

tif?: Array<string>

List of strings with the MIME types of all the variants that should be served for tif.

tiff?: Array<string>

List of strings with the MIME types of all the variants that should be served for tiff.

webp?: Array<string>

List of strings with the MIME types of all the variants that should be served for webp.

modified_on?: string | null

Last time this setting was modified.

formatdate-time

Get variants setting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const variant = await client.cache.variants.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(variant.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "variants",
    "editable": true,
    "value": {
      "avif": [
        "image/webp",
        "image/jpeg"
      ],
      "bmp": [
        "image/webp",
        "image/jpeg"
      ],
      "gif": [
        "image/webp",
        "image/jpeg"
      ],
      "jp2": [
        "image/webp",
        "image/avif"
      ],
      "jpeg": [
        "image/webp",
        "image/avif"
      ],
      "jpg": [
        "image/webp",
        "image/avif"
      ],
      "jpg2": [
        "image/webp",
        "image/avif"
      ],
      "png": [
        "image/webp",
        "image/avif"
      ],
      "tif": [
        "image/webp",
        "image/avif"
      ],
      "tiff": [
        "image/webp",
        "image/avif"
      ],
      "webp": [
        "image/jpeg",
        "image/avif"
      ]
    },
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "variants",
    "editable": true,
    "value": {
      "avif": [
        "image/webp",
        "image/jpeg"
      ],
      "bmp": [
        "image/webp",
        "image/jpeg"
      ],
      "gif": [
        "image/webp",
        "image/jpeg"
      ],
      "jp2": [
        "image/webp",
        "image/avif"
      ],
      "jpeg": [
        "image/webp",
        "image/avif"
      ],
      "jpg": [
        "image/webp",
        "image/avif"
      ],
      "jpg2": [
        "image/webp",
        "image/avif"
      ],
      "png": [
        "image/webp",
        "image/avif"
      ],
      "tif": [
        "image/webp",
        "image/avif"
      ],
      "tiff": [
        "image/webp",
        "image/avif"
      ],
      "webp": [
        "image/jpeg",
        "image/avif"
      ]
    },
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}